<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title> Projet 1 </title>
        <!-- Favicon -->
        <link 
            rel="icon" 
            type="image/gif" 
            href="./images/logo/logoAvion.png" />
        <!-- Bootstrap 5 CSS -->
        <link 
            href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" 
            rel="stylesheet" 
            integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" 
            crossorigin="anonymous">
        <!-- Font Awesome import from cdn -->
        <link 
            rel="stylesheet" 
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" 
            integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" 
            crossorigin="anonymous" 
            referrerpolicy="no-referrer" />
        <!-- CSS file link -->
        <link 
            href="/style.css" 
            rel="stylesheet" />
        <!-- JQuery link -->
        <script src="./javascript/jquery-3.6.1.min.js"></script>
        <script src="./script.js"></script>
        <!-- TarteAuCitron link -->
        <script src="./javascript/tarteaucitron.js-1.9.7/tarteaucitron.js"></script> 
        <script>
            tarteaucitron.init({
              "privacyUrl": "", /* Privacy policy url */
              "bodyPosition": "bottom", /* or top to bring it as first element for accessibility */
              "hashtag": "#tarteaucitron", /* Open the panel with this hashtag */
              "cookieName": "tarteaucitron", /* Cookie name */
              "orientation": "middle", /* Banner position (top - bottom) */
              "groupServices": false, /* Group services by category */
              "serviceDefaultState": "wait", /* Default state (true - wait - false) */
              "showAlertSmall": false, /* Show the small banner on bottom right */
              "cookieslist": false, /* Show the cookie list */
              "closePopup": false, /* Show a close X on the banner */
              "showIcon": false, /* Show cookie icon to manage cookies */
              //"iconSrc": "./images/logo/logoAvion.png", /* Optionnal: URL or base64 encoded image */
              "iconPosition": "BottomLeft", /* BottomRight, BottomLeft, TopRight and TopLeft */
              "adblocker": false, /* Show a Warning if an adblocker is detected */
              "DenyAllCta" : true, /* Show the deny all button */
              "AcceptAllCta" : true, /* Show the accept all button when highPrivacy on */
              "highPrivacy": true, /* HIGHLY RECOMMANDED Disable auto consent */
              "handleBrowserDNTRequest": false, /* If Do Not Track == 1, disallow all */
              "removeCredit": false, /* Remove credit link */
              "moreInfoLink": true, /* Show more info link */    
              "useExternalCss": false, /* If false, the tarteaucitron.css file will be loaded */
              "useExternalJs": false, /* If false, the tarteaucitron.js file will be loaded */
              //"cookieDomain": ".my-multisite-domaine.fr", /* Shared cookie for multisite */
              "readmoreLink": "", /* Change the default readmore link */
              "mandatory": true, /* Show a message about mandatory cookies */
              "mandatoryCta": true /* Show the disabled accept button when mandatory on */
            });
            </script>
    </head>


    <body>

        <!-- Header start -->
        <div class="container-fluid bg-dark pb-4 header-color">
            <div class="row justify-content-end">
                <div class="col-4"></div>
                <!-- Search bar and Font Awesome icons header -->
                <div class="col-9">
                    <div class="d-flex flex-row justify-content-end">
                        <!-- Search bar -->
                        <div class="search-bar input-group mt-2 mb-2 me-3">
                            <input type="search" class="form-control rounded" placeholder="Search..." aria-label="Search"/>
                            <button type="button" class="btn btn-secondary"> <i class="fa-solid fa-magnifying-glass"></i> </button>
                        </div>
                        <!-- Font Awesome icons header -->
                        <div class="col-sm-2 d-flex align-items-center justify-content-center ms-2">
                            <div class="fs-4 d-flex justify-content-end text-color">
                                <a class="href-text text-color" target="_blank" href="https://fr-fr.facebook.com" > <i class="fa-brands fa-facebook"></i> </a>
                                <a class="href-text text-color" target="_blank" href="https://twitter.com"> <i class="ms-3 fa-brands fa-twitter me-3"></i> </a>
                                <a class="href-text text-color" target="_blank" href="https://fr.linkedin.com"> <i class="fa-brands fa-linkedin"></i> </a>
                                <i class="fa-solid fa-minus fa-rotate-90 fs-2 ms-3 me-2 text-light"></i>
                                <div>
                                    <i id="color-palette" class="fa-solid fa-palette palette-hover"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Logo and horizontal menu -->
            <div id="debug2" class="row mt-3">
                <!-- Logo -->
                <div class="logo-placement col-sm-3 d-flex justify-content-center">
                    <img class="animation-logo" src="./images/logo/logoAvion.png" alt="...">
                </div>
                <!-- Horizontal menu -->
                <div id="debug" class="col-sm-6 d-flex flex-row align-items-center justify-content-center">
                    <div class="nav-menu fs-3 menu-size">
                        <a class="nav-item href-text text-color me-2 menu-text" href="#carousel-start"> Carousel </a>
                        <i class="fa-solid fa-minus fa-rotate-90 fs-5 text-light separator nav-separator"></i>
                        <a class="nav-item href-text text-color me-2 menu-text" href="#card-start"> Card </a>
                        <i class="fa-solid fa-minus fa-rotate-90 fs-5 text-light separator nav-separator"></i>
                        <a class="nav-item href-text text-color me-2 menu-text" href="#guide-start"> Our Guide </a>
                        <i class="fa-solid fa-minus fa-rotate-90 fs-5 text-light separator nav-separator"></i>
                        <a class="nav-item href-text text-color me-2 menu-text" href="#agency-start"> Agency </a>
                        <i class="fa-solid fa-minus fa-rotate-90 fs-5 text-light separator nav-separator"></i>
                        <a class="nav-item href-text text-color" href="#newsletter-start"> Newsletter </a>
                    </div>
                    <div class="hamburger">
                        <span class="bar"></span>
                        <span class="bar"></span>
                        <span class="bar"></span>
                    </div>
                </div>
                <div id="debug" class="col-3 d-flex justify-content-end align-items-start">
                    <div id="color-change" class="text-dark bg-color fs-5 pb-2 color-choose">
                        <i id="color-blue" class="fa-solid fa-circle ms-2 me-2 mt-3 text-primary color-hover"></i>
                        <i id="color-red" class="fa-solid fa-circle ms-2 me-2 mt-3 text-danger color-hover"></i>
                        <i id="color-green" class="fa-solid fa-circle ms-2 me-2 mt-3 text-success color-hover"></i>
                        <i id="color-default" class="fa-solid fa-circle ms-2 me-2 mt-3 text-dark color-hover"></i>
                        <i id="color-close" class="fa-regular fa-circle-xmark ms-2 me-2 mt-3 text-dark color-hover"></i>
                    </div>
                </div>
            </div>
        </div>
        <!-- Header end -->

        <!-- Button back to top -->
        <div class="d-flex justify-content-end align-items-end fixed-bottom mb-3 me-3">
            <a id="btn-scroll" href="#" class="btn btn-secondary text-color bg-dark"> <i class="fa-solid fa-arrow-up"></i> </a>
        </div>
        
        <!-- Carousel start -->
        <div id="carouselExampleDark" class="container-fluid carousel carousel slide carousel-fade padding-carousel" data-bs-ride="carousel">

            <div class="carousel-indicators">
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="1" aria-label="Slide 2"></button>
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="2" aria-label="Slide 3"></button>
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="3" aria-label="Slide 4"></button>
                <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="4" aria-label="Slide 5"></button>
            </div>

            <div class="carousel-inner" id="carousel-start">
                <div class="carousel-item active" data-bs-interval="10000">
                    <img src="./images/carousel/slide1.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5> Alberta </h5>
                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Placeat doloribus fugit nisi veritatis perferendis quia numquam eos saepe corporis! Nesciunt obcaecati error tempora illum perferendis quasi sed explicabo suscipit totam.</p>
                        <button type="button" class="btn btn-secondary mb-3"> Lien vers l'image </button>
                    </div>
                </div>

                <div class="carousel-item" data-bs-interval="2000">
                    <img src="./images/carousel/slide2.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5> Forêt </h5>
                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam sunt dolore nobis quibusdam nisi dolores praesentium alias fugit exercitationem temporibus, eos quis! Odit magnam eius iste accusantium atque numquam est.</p>
                        <button type="button" class="btn btn-secondary mb-3"> Lien vers l'image </button>
                    </div>
                </div>

                <div class="carousel-item">
                    <img src="./images/carousel/slide3.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5> Alpes </h5>
                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam debitis nihil quaerat iste ex recusandae nostrum officia saepe cumque aliquid mollitia velit, molestiae nobis expedita quis odio dolorem porro sit!</p>
                        <button type="button" class="btn btn-secondary mb-3"> Lien vers l'image </button>
                    </div>
                </div>

                <div class="carousel-item">
                    <img src="./images/carousel/slide4.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5> Pyrénées </h5>
                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam debitis nihil quaerat iste ex recusandae nostrum officia saepe cumque aliquid mollitia velit, molestiae nobis expedita quis odio dolorem porro sit!</p>
                        <button type="button" class="btn btn-secondary mb-3"> Lien vers l'image </button>
                    </div>
                </div>

                <div class="carousel-item">
                    <img src="./images/carousel/slide5.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5> Corne alpin </h5>
                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam debitis nihil quaerat iste ex recusandae nostrum officia saepe cumque aliquid mollitia velit, molestiae nobis expedita quis odio dolorem porro sit!</p>
                        <button type="button" class="btn btn-secondary mb-3"> Lien vers l'image </button>
                    </div>
                </div>
            </div>

            <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </button>

            <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </button>
        </div>
        <!-- Carousel end -->

        <!-- Container area start -->
        <div class="container mt-5 mb-5">

            <!-- Cards start -->
            <div>
                <div class="row card-div" id="card-start">
                    <div class="col-md-6 col-lg-4 align-self-center card-added">
                        <div class="card card-changes mb-3">
                            <div class="card-body text-center fs-2">
                                <i class="fa-solid fa-mountain"></i>
                                <h5 class="card-title"> Mountain </h5>
                                <p class="card-text fs-5 fst-italic">Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, ratione esse. Unde minima vero dolor libero alias, quae exercitationem, sint error odit autem obcaecati sed dignissimos praesentium? Saepe, aperiam rem.</p>
                                <a href="#" class="btn btn-secondary mb-2"> Go to mountain ! </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6 col-lg-4 align-self-center card-added">
                        <div class="card card-changes mb-3">
                            <div class="card-body text-center fs-2">
                                <i class="fa-solid fa-water"></i>
                                <h5 class="card-title"> Lake </h5>
                                <p class="card-text fs-5 fst-italic">Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, ratione esse. Unde minima vero dolor libero alias, quae exercitationem, sint error odit autem obcaecati sed dignissimos praesentium? Saepe, aperiam rem.</p>
                                <a href="#" class="btn btn-secondary mb-2"> Go to lake ! </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6 col-lg-4 align-self-center card-added">
                        <div class="card card-changes mb-3">
                            <div class="card-body text-center fs-2">
                                <i class="fa-solid fa-tree"></i>
                                <h5 class="card-title"> Forest </h5>
                                <p class="card-text fs-5 fst-italic">Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, ratione esse. Unde minima vero dolor libero alias, quae exercitationem, sint error odit autem obcaecati sed dignissimos praesentium? Saepe, aperiam rem.</p>
                                <a href="#" class="btn btn-secondary mb-2"> Go to forest ! </a>
                            </div>
                        </div>
                    </div>
            </div>

                <!-- Button add element -->
                <div class="text-center">
                    <button id="add-card" type="button" class="btn btn-secondary"> Add a card </button>
                </div>
            </div>
            <!-- Cards end -->

            <!-- Youtube video start -->
            <div class="container mt-5 mb-5">
                <div class="text-color text-center mb-3">
                    <h5 class="fs-2"> Some example of trip already made ! </h5>
                </div>
                <div class="youtube_player d-flex justify-content-center align-items-center border" 
                    videoID="Y7hRFN61Iws" width="100%" height="600" theme="dark" rel="0" controls="1" showinfo="1" autoplay="0">
                </div>
            </div>
            <!-- Youtube video end -->

            <!-- Text/Image start -->
            <!-- Text/Image 1 -->
            <div class="row mt-5">
                <div class="col-sm-6 d-flex align-items-center">
                    <img class="img-fluid image1-animation" src="./images/textImage/guideMapImg1.jpg" alt="...">
                </div>

                <div class="col-sm-6 text-center text-color mt-5 texte1-animation" id="guide-start">
                    <h5 class="fs-2"> Our Guide </h5>
                    <p class="fs-5 mb-3"> 
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Quia, rem. Dolorum commodi, dolore perferendis quae saepe alias quam hic dolorem explicabo deserunt minima quo laboriosam quis necessitatibus dignissimos possimus optio! 
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto dignissimos asperiores harum. Doloribus totam numquam harum nostrum explicabo voluptates sapiente repellendus, delectus dolor saepe. Quam nesciunt distinctio consequatur iure est.
                    </p>
                </div>
            </div>

            <!-- Text/Image 2 -->
            <div class="row mt-3">
                <div class="col-sm-6 text-center text-color mt-5 texte2-animation" id="agency-start">
                    <h5 class="fs-2"> Agency </h5>
                    <p class="fs-5 mb-3"> 
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Quia, rem. Dolorum commodi, dolore perferendis quae saepe alias quam hic dolorem explicabo deserunt minima quo laboriosam quis necessitatibus dignissimos possimus optio! 
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto dignissimos asperiores harum. Doloribus totam numquam harum nostrum explicabo voluptates sapiente repellendus, delectus dolor saepe. Quam nesciunt distinctio consequatur iure est.
                    </p>
                </div>

                <div class="col-sm-6 d-flex align-items-center">
                    <img class="img-fluid image2-animation" src="./images/textImage/agenceImg2.jpg" alt="...">
                </div>
            </div>

            <!-- Text/Image end -->

        </div>
        <!-- Container area end -->

        <!-- Footer start -->
        <div class="container-fluid bg-dark pt-5 pb-5 footer-color">
            <div class="d-flex flex-row justify-content-center footer-div">

                <!-- Vertical menu -->
                <div class="col-sm-4 fs-5 d-flex align-items-center justify-content-center responsive-footer-menu">
                    <ul>
                        <li> <a class="href-text text-color" href="#carousel-start"> Carousel </a> </li>
                        <li> <a class="href-text text-color" href="#card-start"> Card </a> </li>
                        <li> <a class="href-text text-color" href="#guide-start"> Our Guide </a> </li>
                        <li> <a class="href-text text-color" href="#agency-start"> Agency </a> </li>
                        <li> <a id="tarteaucitronManager" class="href-text text-color"> Cookie management </a></li>
                    </ul>
                </div>

                <!-- Copyright -->
                <div class="col-sm-4 d-flex flex-column align-items-center justify-content-end responsive-footer-copyright">
                    <div class="googlemaps_embed" width="200" height="150" 
                        id="!1m18!1m12!1m3!1d2708.1406158449854!2d-1.514369784504861!3d47.252953579162686!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805efafd6525e31%3A0x5dafb088a45942d8!2sW-Seils%20Agence%20TYPO3!5e0!3m2!1sfr!2sfr!4v1663235507734!5m2!1sfr!2sfr">
                    </div></iframe>
                    <p class="text-color text-end">
                        <i class="fa-regular fa-copyright me-2"></i>
                        2022 - All Rights Reserved.
                    </p>
                </div>

                <!-- Newsletter form -->
                <div class="col-sm-4 d-flex align-items-center justify-content-center responsive-footer-form">
                    <form>
                        <div class="mt-4 mb-2 text-color">
                            <h5>Newsletter</h5>
                            <input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name@example.com">
                        </div>
                        <div class="d-flex justify-content-end" id="newsletter-start">
                            <button type="submit" class="btn btn-sm btn-secondary">Submit</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
        <!-- Footer end -->

        <!-- Youtube video TarteAuCitron service -->
        <script>
            (tarteaucitron.job = tarteaucitron.job || []).push('youtube');
        </script>

        <!-- Google maps TarteAuCitron service -->
        <script>
            (tarteaucitron.job = tarteaucitron.job || []).push('maps_noapi');
        </script>

        <!-- Bootstrap 5 JS -->
        <script 
            src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" 
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" 
            crossorigin="anonymous"> 
        </script>
        
    </body>
</html>